/*
 * gbiff2 program
 * Copyright (C) 2000-2002 Nicolas Rougier
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 */
#ifdef USE_GNOME
#  include <gnome.h>
#  include <panel-applet.h>
#  include <panel-applet-gconf.h>
#endif
#include <gtk/gtk.h>

#ifndef __CALLBACKS_H
#define __CALLBACKS_H


/* Mailbox configuration dialog */
void on_generic_change (GtkWidget *widget, gpointer user_data);
gboolean on_ConfigurationDialog_delete_event (GtkObject *object, GdkEvent *event, gpointer user_data);
void on_AddressButton_clicked (GtkButton *button, gpointer user_data);
void on_SoundButton_clicked (GtkButton *button, gpointer user_data);
void on_SoundPlayButton_clicked (GtkButton *button, gpointer user_data);
void on_PopupTitleButton_clicked (GtkButton *button, gpointer user_data);
void on_PopupBodyButton_clicked (GtkButton *button, gpointer user_data);
void on_BiffButton_clicked (GtkButton *button, gpointer user_data);
gboolean on_MailEventBox_button_press_event (GtkWidget *widget, GdkEventButton *event, gpointer user_data);
gboolean on_NoMailEventBox_button_press_event (GtkWidget *widget, GdkEventButton *event, gpointer user_data);
gboolean on_UnreadEventBox_button_press_event (GtkWidget *widget, GdkEventButton *event, gpointer user_data);
gboolean on_ReadEventBox_button_press_event (GtkWidget *widget, GdkEventButton *event, gpointer user_data);
void on_OkButton_clicked (GtkButton *button, gpointer user_data);
void on_QuitButton_clicked (GtkButton *button, gpointer user_data);
void on_SuspendButton_clicked (GtkButton *button, gpointer user_data);

/* Popup window */
gboolean on_Popup_button_press_event (GtkWidget *widget, GdkEventButton *event, gpointer user_data);
gboolean on_Popup_enter_notify_event (GtkWidget *widget, GdkEventCrossing *event, gpointer user_data);
gboolean on_Popup_leave_notify_event (GtkWidget *widget, GdkEventCrossing *event, gpointer user_data);

/* Biff window */
gboolean on_BiffDialog_leave_notify_event (GtkWidget *widget, GdkEventCrossing *event, gpointer user_data);
gboolean on_BiffDA_expose_event (GtkWidget *widget, GdkEventExpose *event, gpointer user_data);
gboolean on_BiffDA_configure_event (GtkWidget *widget, GdkEventConfigure *event, gpointer user_data);
gboolean on_BiffDA_button_press_event (GtkWidget *widget, GdkEventButton *event,  gpointer user_data);
gboolean on_BiffDA_button_release_event (GtkWidget *widget, GdkEventButton *event,  gpointer user_data);


/* Timer */
gboolean on_TimeoutPoll_event (gpointer user_data);
gboolean on_TimeoutPop_event (gpointer user_data);

/* Generic dialog callbacks */
gboolean on_Dialog_delete_event (GtkObject *object, GdkEvent *event, gpointer user_data);
gboolean on_Dialog_destroy_event (GtkObject *object, GdkEvent *event, gpointer user_data);
void on_DialogOkButton_clicked (GtkButton *button, gpointer user_data);
void on_DialogCancelButton_clicked (GtkButton *button, gpointer user_data);

/* Applet */
#ifdef USE_GNOME
void on_Applet_change_orient (GtkWidget *applet, PanelAppletOrient o, gpointer data);
void on_Applet_change_size (GtkWidget *applet, gint size, gpointer data);
void on_AppletProperties_menu (BonoboUIComponent *uic, gpointer data, const gchar *verbname);
void on_AppletMailApp_menu (BonoboUIComponent *uic, gpointer data, const gchar *verbname);
void on_AppletAbout_menu (BonoboUIComponent *uic, gpointer data, const gchar *verbname);
gboolean on_Applet_button_press (GtkWidget *w, GdkEventButton *event, gpointer user_data);
gboolean on_Applet_button_release (GtkWidget *widget, GdkEventButton *event,  gpointer user_data);
#endif

#endif /* __CALLBACKS_H */
